Remittance & transfers
List payout routes for a transfer (route orchestration add-on)
POST
/transfers/routesScope
transfers:readAuth Bearer keyPrices every route we can pay this corridor through right now and returns each with an opaque `id`, a generic label, fee, rate, destination amount, delivery estimate, required recipient fields and `tags` (best_rate, lowest_fee, fastest). Route ids expire after 10 minutes. Available on Growth and Scale with the Route orchestration add-on.
Request body
json
{
"source_currency": "USD",
"destination_country": "GB",
"amount": "1000.00"
}Responses
200Route list
json
{
"object": "list",
"data": [
{
"object": "transfer_route",
"id": "rte_9f2c41ab77d04e18a1c3b6d2",
"label": "Route 1 · UK bank transfer",
"tags": [
"best_rate"
],
"transfer_method": "uk_local",
"source_currency": "USD",
"destination_country": "GB",
"destination_currency": "GBP",
"amount": "1000.00",
"fee": "6.50",
"rate": "0.7712",
"destination_amount": "766.19",
"delivery": "Same day",
"required_fields": [
"accountName",
"accountNumber",
"sortCode"
],
"expires_at": "2026-11-01T11:40:00.000Z"
},
{
"object": "transfer_route",
"id": "rte_1b7e0c92d4aa4f3b9e51c870",
"label": "Route 2 · UK bank transfer",
"tags": [
"fastest",
"lowest_fee"
],
"transfer_method": "uk_local",
"source_currency": "USD",
"destination_country": "GB",
"destination_currency": "GBP",
"amount": "1000.00",
"fee": "4.00",
"rate": "0.7650",
"destination_amount": "761.94",
"delivery": "Within minutes",
"required_fields": [
"accountName",
"accountNumber",
"sortCode"
],
"expires_at": "2026-11-01T11:40:00.000Z"
}
]
}Errors
Errors use RFC 9457 problem details. Branch on code, and log request_id.
400Bad request401Unauthenticated403Forbidden409Idempotency conflict422Validation error429Rate limitedcURL
curl -X POST "https://business.boundlesspay.com/api/public/v1/transfers/routes" \
-H "Authorization: Bearer $BOUNDLESS_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "source_currency": "USD", "destination_country": "GB", "amount": "1000.00" }'